> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# سرد عناوين IP المخصصة

> قائمة IPs المخصصة المرئية للعامة الرئيسية API.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ar.json GET /v1/public/accounts/{account_id}/dedicated-ips
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/dedicated-ips:
    get:
      tags:
        - public-accounts
        - public-dedicated-ips
      summary: سرد عناوين IP المخصصة
      description: قائمة IPs المخصصة المرئية للعامة الرئيسية API.
      operationId: >-
        list_public_dedicated_ips_v1_public_accounts__account_id__dedicated_ips_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicDedicatedIpListResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: خطأ في التحقق
      security:
        - PublicBearerAuth: []
components:
  schemas:
    PublicDedicatedIpListResponse:
      properties:
        items:
          description: IPs مخصص على هذه الصفحة
          items:
            $ref: '#/components/schemas/PublicDedicatedIpResponse'
          title: العناصر
          type: array
        page:
          description: رقم الصفحة الحالي المستند إلى واحد
          title: الصفحة
          type: integer
        page_size:
          description: الحد الأقصى للعناصر لكل صفحة
          title: حجم الصفحة
          type: integer
        total:
          description: إجمالي المطابقة المخصصة IPs
          title: الإجمالي
          type: integer
      required:
        - items
        - page
        - page_size
        - total
      title: PublicDedicatedIpListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: التفاصيل
          type: array
      title: HTTPخطأ تحقق
      type: object
    PublicDedicatedIpResponse:
      properties:
        asn:
          anyOf:
            - type: integer
            - type: 'null'
          description: رقم النظام المستقل للتخصيص
          title: ASN
        country_code:
          anyOf:
            - type: string
            - type: 'null'
          description: رمز البلد ISO للتخصيص
          title: رمز البلد
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: الطابع الزمني للإنشاء
          title: تاريخ الإنشاء
        id:
          description: مخصص IP UUID
          format: uuid
          title: المعرّف
          type: string
        ip_addresses:
          description: العناوين العامة في هذا التخصيص
          items:
            $ref: '#/components/schemas/PublicDedicatedIpAddressResponse'
          title: عناوين الآي بي
          type: array
        name:
          description: اسم IP مخصص مرئي للعميل
          title: الاسم
          type: string
        status:
          description: حالة التزويد أو دورة الحياة
          title: الحالة
          type: string
        type:
          description: نوع تخصيص IP مخصص
          title: النوع
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: الطابع الزمني للتحديث الأخير
          title: تاريخ التحديث
      required:
        - id
        - name
        - status
        - type
      title: PublicDedicatedIpResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: الموقع
          type: array
        msg:
          title: الرسالة
          type: string
        type:
          title: نوع الخطأ
          type: string
      required:
        - loc
        - msg
        - type
      title: خطأ تحقق
      type: object
    PublicDedicatedIpAddressResponse:
      description: بيانات تعريف عنوان IP العامة المخصصة بدون إشارات السمعة.
      properties:
        fcrdns_confirmed:
          default: false
          description: ما إذا كان قد تم تمرير DNS العكسي المؤكد للأمام
          title: تم تأكيد Fcrdns
          type: boolean
        healthy:
          anyOf:
            - type: boolean
            - type: 'null'
          description: الحالة الصحية الحالية عندما تكون متاحة
          title: سليم
        ip:
          description: عنوان IP العام
          title: IP
          type: string
        rdns:
          anyOf:
            - type: string
            - type: 'null'
          description: قم بعكس اسم المضيف DNS عند تكوينه
          title: rDNS
      required:
        - ip
      title: PublicDedicatedIpAddressResponse
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````